#include <iostream>
using namespace std;
int main ()
{
long long n, d, k, flag=0, sbor=1, Proba=0, poziciq=1, nachalnoD;
cin>>n;
cin>>d;
cin>>k;
nachalnoD=d;
while (Proba<k) {
    while (flag==0) {
        if (d>n) {
            d=d-n;
        }
        else {
            poziciq=d+1;
            if (poziciq>5) {
                poziciq=poziciq-5;
            }
            flag=1;
            sbor=sbor+poziciq;
        }
    }
Proba++;
d=nachalnoD;
}
cout<<sbor;


return 0;
}
